<%@ taglib uri="http://www.sas.com/taglib/sas-flex" prefix="sas-flex" %>
<%@page import="java.net.URLEncoder"%>
<%@page import="java.util.*"%>
<%@page import="com.sas.workflow.adminconsole.*"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@taglib uri='http://www.sas.com/taglib/sas-uis' prefix='sas-uis' %>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">	
<%
   Map<String, String> map = new HashMap<String, String> ();
   
   String nameValuePairs[] = new String[]{
   		"handle", "",    // example: TEST_DEFINITION|10003
   		"searchKey", "", // example: GRC_HANDLE 
   		"leftTreeEnabled", "true",// "false" or "true"
   		"mainDiagramName", "",
   		"templateName", "",
   		"touchIntervalMin", "20", 
   		"searchBy",  "DataObject", // another value is "Process"
   		"tag", ""
   }; 
   for (int i = 0; i < nameValuePairs.length; i += 2) {
   		String name = nameValuePairs[i];
   		String value = request.getParameter(name);
   		
   		value = value == null || value.trim().length() == 0 ? nameValuePairs[i + 1] : value.trim();
   		value = URLEncoder.encode(value);
   		map.put(name, value);
   } 
   
   String handle 		= map.get("handle");
   String searchKey 		= map.get("searchKey");
   String leftTreeEnabled 	= map.get("leftTreeEnabled");
   String mainDiagramName	= map.get("mainDiagramName");
   String templateName		= map.get("templateName");
   String touchIntervalMin  	= map.get("touchIntervalMin");
   String searchBy 		= map.get("searchBy");
   String tag			= map.get("tag");
%>
    <head>
    
    
       <style type="text/css" media="screen"> 
			html, body	{ height:100%; }
			body { margin:0; padding:0; overflow:auto; text-align:center; 
			       background-color: #ffffff; }   
			object:focus { outline:none; }
			
			.LinkBreadCrumb
	        {
	            fontSize: 25;
	            fontWeight: normal;
	            text-decoration:none;
	        }
        
	        .LinkBreadCrumbHover
	        {
	            fontSize: 12;
	            fontWeight: normal;
	            text-decoration:underline;
	            skin: ClassReference(null);
	        }
			
			#flashContent { display:none; }
        </style>
    </head>
    <body>
		<sas-flex:application writeFavicon="false" writeGlobalStyles="false" bgColor="#FFFFFF" swf="sas.workflow.adminconsole">
      		 	   <sas-flex:flashvar name="handle" value="<%= handle %>"/>
				   <sas-flex:flashvar name="leftTreeEnabled" value="<%= leftTreeEnabled %>"/>
				   <sas-flex:flashvar name="useSASSplashScreen" value="false"/>
				   <sas-flex:flashvar name="mainDiagramName" value="<%= handle %>"/>
				   <sas-flex:flashvar name="searchBy" value="<%= searchBy %>"/>
				   <sas-flex:flashvar name="searchKey" value="<%= searchKey %>"/>
				   <sas-flex:flashvar name="templateName" value="<%= templateName %>"/>
				   <sas-flex:flashvar name="tag" value="<%= tag %>"/>	
				   <sas-flex:flashvar name="touchUrl" value="StreamContentServlet%3FNOOP%3Dtrue"/>	
				   <sas-flex:flashvar name="touchIntervalMin" value="<%= touchIntervalMin %>"/>
				   <sas-flex:parameter name="allowFullScreenInteractive" value="true" quote="false"/>
				   <sas-flex:parameter name="wmode" value="opaque" quote="true"/>
				   <sas-flex:parameter name="autofocus" value="false" quote="false"/>
			</sas-flex:application>
   </body>
</html>
